明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1532|回复: 2

块打散后的图元如何取得?

[复制链接]
发表于 2006-9-14 21:37:00 | 显示全部楼层 |阅读模式

可不可以打散一个块后将其中的图元添加到一个选择集中/

用vba如何能实现呢?

发表于 2006-9-26 08:53:00 | 显示全部楼层
块打散后本身就在数组中
发表于 2006-9-28 17:50:00 | 显示全部楼层
Sub Ch4_ExplodePolyline()
    Dim plineObj As AcadLWPolyline
    Dim points(0 To 11) As Double
    
    ' 定义二维多段线的点
    points(0) = 1:points(1) = 1
    points(2) = 1:points(3) = 2
    points(4) = 2:points(5) = 2
    points(6) = 3:points(7) = 2
    points(8) = 4:points(9) = 4
    points(10) = 4:points(11) = 1
        
    ' 创建优化多段线对象
    Set plineObj = ThisDrawing.ModelSpace. _
                  AddLightWeightPolyline(points)
    
    ' 在某个线段上设置凸度以改变
    ' 多段线中的对象类型
    plineObj.SetBulge 3, -0.5
    plineObj.Update
    
    ' 分解多段线
    Dim explodedObjects As Variant
    explodedObjects = plineObj.Explode
    
    ' 遍历分解的对象
    ' 并以消息框来显示
    ' 每个对象的类型
    Dim I As Integer
    For I = 0 To UBound(explodedObjects)
    explodedObjects(I).Update
        MsgBox "Exploded Object " & I & ": " & _
                    explodedObjects(I).ObjectName
        explodedObjects(I).Update
    Next
End Sub
vba帮助里面的东东
如果块很多
就用数组来存储explodedObjects
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 22:41 , Processed in 0.155879 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表